osl::move_classifier::Check< P > Struct Template Reference

`#include <check_.h>`

## Static Public Member Functions

static bool | isMember (const NumEffectState &state, Ptype ptype, Square from, Square to)
| promote move の時 ptypeはpromote後のもの

## Detailed Description

template<Player P>
struct osl::move_classifier::Check< P >

Parameters

  指す側,alt(P)に王手をかけられるか判定 |

Definition at line 15 of file check_.h.

## Member Function Documentation

## isMember()

template<Player P>

bool osl::move_classifier::Check< P >::isMember | ( | const NumEffectState & | state,
|  | Ptype | ptype,
|  | Square | from,
|  | Square | to )

inline static

promote move の時 ptypeはpromote後のもの

Definition at line 20 of file check_.h.

References osl::move_classifier::DirectCheck< P >::isMember(), osl::move_classifier::OpenCheck< P >::isMember(), and osl::Square::isPieceStand().

The documentation for this struct was generated from the following file:

- check_.h